#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xf2963309, "tcf_em_unregister" },
	{ 0x31dafd09, "tcf_em_register" },
	{ 0x62a846ea, "skb_find_text" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x20c707c5, "kmem_cache_alloc_trace" },
	{ 0x1e08ddee, "kmalloc_caches" },
	{ 0xdf042c0, "textsearch_prepare" },
	{ 0x1919b9bf, "textsearch_destroy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x90381029, "nla_append" },
	{ 0xa0cb4d49, "nla_put_nohdr" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x9166fada, "strncpy" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E54FFEB488B5E351B0E649");
